# RCSid:
#	$Id: Makefile.inc,v 1.5 1997/02/08 07:12:56 sjg Exp $
#
#	@(#) Copyright (c) 1994 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@quick.com.au
#

.ifndef _lib_inc_
_lib_inc_=yes

CFLAGS+= -I.

# pick up defaults above
.include "../Makefile.inc"

# now add overrides
OBJMACHINE=yes	# I always use this
NOMAN=no
NOPROFILE=no
NOPIC=no
#LIBDIR=${.CURDIR}/../../lib/obj.${MACHINE}
#LIBMODE=664

.ifdef LIB
all:	${.CURDIR}/.install

install:	${.CURDIR}/.install

${.CURDIR}/.install:	lib$(LIB).a
		${INSTALL} ${COPY} -m ${LIBMODE} \
		lib${LIB}.a ${DESTDIR}${LIBDIR}
		${RANLIB} -t ${DESTDIR}${LIBDIR}/lib${LIB}.a
		touch ${.TARGET}
.endif
.endif
